import CJS_COMPAT_NODE_URL_1zoczvhu97o from 'node:url';
import CJS_COMPAT_NODE_PATH_1zoczvhu97o from 'node:path';
import CJS_COMPAT_NODE_MODULE_1zoczvhu97o from "node:module";

var __filename = CJS_COMPAT_NODE_URL_1zoczvhu97o.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_1zoczvhu97o.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_1zoczvhu97o.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  any
} from "./chunk-WP3LUFO2.js";

// src/cli/detect.ts
async function detectPnp() {
  return !!any([".pnp.js", ".pnp.cjs"]);
}

export {
  detectPnp
};
